import { useState } from 'react';
import Child from './Child';

function Parent() {
  console.log('Wywołanie komponentu <Parent />.');

  const [counter, setCounter] = useState(0);

  function incCounterHandler() {
    setCounter((prevCounter) => prevCounter + 1);
  }

  return (
    <div id="parent">
      <p>Komponent zagnieżdżonony w komponencie App i zawierający inny komponent
      (Child).</p>
      <p>Licznik: {counter}</p>
      <button onClick={incCounterHandler}>Zwiększ</button>
      <Child />
    </div>
  );
}

export default Parent;
